import { Connection, PublicKey } from "@solana/web3.js";
import { BlockchainNetwork, SupplyToEarnApy, SupplyToEarnReward } from "../shared";
import { BlockchainAction } from "./blockchain_action.abstract";
export declare enum ActionEnum {
    DEPOSIT = "Deposit",
    BORROW = "Borrow",
    WITHDRAW = "Withdraw",
    REPAY = "Repay"
}
export declare class ActionFactory {
    static buildTxns(action: ActionEnum, network: BlockchainNetwork, connection: Connection, amount: string, symbol: string, publicKey: PublicKey, supplyToEarnApys?: SupplyToEarnApy[], supplyToEarnRewards?: SupplyToEarnReward[], lendingMarketAddress?: string, referralAccount?: PublicKey): Promise<BlockchainAction>;
}
